Last Comment Bug 184005 - tooltip text erases part of fixed absolute positioned image, repaint is failing
: tooltip text erases part of fixed absolute positioned image, repaint is failing
Status: RESOLVED WORKSFORME
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 Windows 98
P3 normal (vote)
: ---
Assigned To: layout
: Hixie (not reading bugmail)
: Jet Villegas (:jet)
Mentors:
http://w3.iac.net/~dmeranda/
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-06 17:08 PST by Deron Meranda
Modified: 2004-01-27 19:56 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description User image Deron Meranda 2002-12-06 17:08:20 PST
User-Agent:       Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.2.1) Gecko/20021130
Build Identifier: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.2.1) Gecko/20021130

The tooltip which appears when hovering over a tab when using tabed browsing
will overlay an image on a webpage, but when the tooltip disappears after moving
the mouse the reexposed part of the image is missing rather than repainted.

This only happened after upgrading to Mozilla 1.2.1, it did not occur with 1.1.

The image is a color PNG and does have an alpha transparency channel.  The image
is layered over top of a fixed body background image as well as partially
overlayed on top of another PNG image via absolute positioning.  Both underlying
images remain intact, only the topmost image has a "hole" in it.

The web page is XHTML compliant and rendered in strict mode.  The topmost image
is absolutely positioned inside a <div> section with the following CSS style:

@media screen {
  div#planet {
        background-attachment: fixed;
        position: absolute; top: 0px; left: 0px; width: 100px; height: 100px;
        z-index:10;
  }
  div#planet a img { border:0 }
}


Reproducible: Always

Steps to Reproduce:
1. Load page with properties I've described, make sure the tab bar is shown
2. Hover the mouse over a tab such that the tooltip text overlays part of the image.
3. Move the mouse so the tooltip disappears...the image will now have a "hole"
in it which lets the background show through.

Actual Results:  
Already described, the image is corrupted until it is reloaded again.

Expected Results:  
The removal of the tooltip text should have left the image it overlayed intact.

Using standard Modern theme.

This is Windows 98SE, 1280x1024 32-bit color.  Gfx card is a GeForce 256 (ASUS
AGP-V6800 DDR driver 6.31c).

Upgrading to 1.2.1 also introduced another layout bug with this same page
involving this same absolute positioned image which I will report as a separete
bug,...but may be related.
Comment 1 User image Matthias Versen [:Matti] 2002-12-06 17:23:58 PST
wfm with win2k and a 1 day old CVS trunk
Comment 2 User image Warner Young 2002-12-06 18:02:22 PST
I see the problem with build 2002120604, Win98.  Maybe it's a Win9x problem of
some sort, or depends on video card/driver?  I'm using an S3 Savage2K.
Comment 3 User image Boris Zbarsky [:bz] (still a bit busy) 2002-12-06 19:16:20 PST
worksforme on Linux as well; ccing dcone in case this is a win9x-specific paint
problem.
Comment 4 User image Boris Zbarsky [:bz] (still a bit busy) 2003-05-03 21:34:50 PDT
Is this still a problem in current builds?
Comment 5 User image Matthias Versen [:Matti] 2003-07-18 23:20:12 PDT
-> wfm
Comment 6 User image Deron Meranda 2004-01-27 19:56:21 PST
As the original reporter I can verify that this bug disappeared as of Mozilla
1.6 final.

Note You need to log in before you can comment on or make changes to this bug.